=== modified file 'bzrlib/smart/bzrdir.py'
--- bzrlib/smart/bzrdir.py	2011-12-14 12:25:34 +0000
+++ bzrlib/smart/bzrdir.py	2011-12-14 19:57:16 +0000
@@ -225,8 +225,8 @@
         try:
             branch_ref = self._bzrdir.get_branch_reference()
         except errors.NotBranchError:
-            pass
-        else:
+            branch_ref = None
+        if branch_ref is not None:
             # The server shouldn't try to resolve references, and it quite
             # possibly can't reach them anyway.  The client needs to resolve
             # the branch reference to determine the cloning_metadir.

=== modified file 'bzrlib/tests/per_branch/test_create_checkout.py'
--- bzrlib/tests/per_branch/test_create_checkout.py	2011-09-09 12:20:33 +0000
+++ bzrlib/tests/per_branch/test_create_checkout.py	2011-12-14 19:57:16 +0000
@@ -28,8 +28,8 @@
         # All branches can define the format they want checkouts made in.
         # This checks it is honoured.
         expected_format = a_branch._get_checkout_format(lightweight=True)
-        self.assertEqual(expected_format.get_branch_format().__class__,
-                         tree.branch._format.__class__)
+        self.assertEqual(expected_format.get_branch_format().network_name(),
+                         tree.branch._format.network_name())
 
     def test_checkout_format_heavyweight(self):
         """Make sure the new heavy checkout uses the desired branch format."""
@@ -38,8 +38,8 @@
         # All branches can define the format they want checkouts made in.
         # This checks it is honoured.
         expected_format = a_branch._get_checkout_format(lightweight=False)
-        self.assertEqual(expected_format.get_branch_format().__class__,
-                         tree.branch._format.__class__)
+        self.assertEqual(expected_format.get_branch_format().network_name(),
+                         tree.branch._format.network_name())
 
     def test_create_revision_checkout(self):
         """Test that we can create a checkout from an earlier revision."""

